如何在Debian 8上安装Mono 4.0.1?

我试图安装一个新的全新安装的Debian 8的Mono-Complete,以便按照(code.visualstudio.com/docs)使用ASP.NET 5,遵循mono-project.com的Ubuntu 12.04 / Debian 8或更高版本关于需要的第二个存储库。

但是,按照说明并尝试执行“apt-get install mono-complete”后,我得到以下问题: http : //puu.sh/hxdLB/dbecbf9645.png

这是一个100%新鲜的Debian 8虚拟机(Virtualbox),刚刚完成Debian 8 NetInst + Cinnamon的安装,以root用户身份login系统并添加了2个仓库。

如果我尝试手动安装这些依赖关系之一(如mono-devel),则会出现一个更大的未满足依赖关系列表,这些列表将不会被安装。

Solutions Collecting From Web of "如何在Debian 8上安装Mono 4.0.1?"

Mono软件包存在一个问题,现在应该解决,请参阅http://www.mono-project.com/docs/getting-started/install/linux/#libgdiplus-debian-80-and-later-not -ubuntu 。

原因是Debian 8没有libgdiplus(Mono的一个组件)需要的libjpeg8。

我解决了这个由亚历山大张贴的文章,但也安装了一个包monodevelop

以下命令我运行在Debian 8.0 jessie上安装mod mono

 sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF echo "deb http://download.mono-project.com/repo/debian wheezy main" | sudo tee /etc/apt/sources.list.d/mono-xamarin.list sudo apt-get update echo "deb http://download.mono-project.com/repo/debian wheezy-apache24-compat main" | sudo tee -a /etc/apt/sources.list.d/mono-xamarin.list echo "deb http://download.mono-project.com/repo/debian wheezy-libjpeg62-compat main" | sudo tee -a /etc/apt/sources.list.d/mono-xamarin.list sudo apt-get update sudo apt-get install mono-complete 

要获得开发IDE运行:

 sudo apt-get install monodevelop 

之后可以成功运行: sudo a2enmod mod_mono_auto